Module tdlight.api
Package it.tdlight.jni

# Class TdApi.WebPage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.WebPage

Enclosing class:
  TdApi

public static final class TdApi.WebPage extends TdApi.Object
Describes a web page preview.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Animation`
`animation`
Preview of the content as an animation, if available; may be null.
`TdApi.Audio`
`audio`
Preview of the content as an audio file, if available; may be null.
`String`
`author`
Author of the content.
`static final int`
`CONSTRUCTOR`
`TdApi.FormattedText`
`description`
Description of the content.
`String`
`displayUrl`
URL to display.
`TdApi.Document`
`document`
Preview of the content as a document, if available (currently only available for small PDF files and ZIP archives); may be null.
`int`
`duration`
Duration of the content, in seconds.
`int`
`embedHeight`
Height of the embedded preview.
`String`
`embedType`
MIME type of the embedded preview, (e.g., text/html or video/mp4).
`String`
`embedUrl`
URL to show in the embedded preview.
`int`
`embedWidth`
Width of the embedded preview.
`int`
`instantViewVersion`
Version of instant view, available for the web page (currently can be 1 or 2), 0 if none.
`TdApi.Photo`
`photo`
Image representing the content; may be null.
`String`
`siteName`
Short name of the site (e.g., Google Docs, App Store).
`TdApi.Sticker`
`sticker`
Preview of the content as a sticker for small WEBP files, if available; may be null.
`String`
`title`
Title of the content.
`String`
`type`
Type of the web page.
`String`
`url`
Original URL of the link.
`TdApi.Video`
`video`
Preview of the content as a video, if available; may be null.
`TdApi.VideoNote`
`videoNote`
Preview of the content as a video note, if available; may be null.
`TdApi.VoiceNote`
`voiceNote`
Preview of the content as a voice note, if available; may be null.

## Constructor Summary

Constructors
Constructor
Description
`WebPage()`
Describes a web page preview.
`WebPage(DataInput input)`
Describes a web page preview.
`WebPage(String url, String displayUrl, String type, String siteName, String title, TdApi.FormattedText description, TdApi.Photo photo, String embedUrl, String embedType, int embedWidth, int embedHeight, int duration, String author, TdApi.Animation animation, TdApi.Audio audio, TdApi.Document document, TdApi.Sticker sticker, TdApi.Video video, TdApi.VideoNote videoNote, TdApi.VoiceNote voiceNote, int instantViewVersion)`
Describes a web page preview.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
Original URL of the link.

### displayUrl

public String displayUrl
URL to display.

### type

public String type
Type of the web page. Can be: article, photo, audio, video, document, profile, app, or something else.

### siteName

public String siteName
Short name of the site (e.g., Google Docs, App Store).

### title

public String title
Title of the content.

### description

public TdApi.FormattedText description
Description of the content.

### photo

public TdApi.Photo photo
Image representing the content; may be null.

### embedUrl

public String embedUrl
URL to show in the embedded preview.

### embedType

public String embedType
MIME type of the embedded preview, (e.g., text/html or video/mp4).

### embedWidth

public int embedWidth
Width of the embedded preview.

### embedHeight

public int embedHeight
Height of the embedded preview.

### duration

public int duration
Duration of the content, in seconds.

### author

public String author
Author of the content.

### animation

public TdApi.Animation animation
Preview of the content as an animation, if available; may be null.

### audio

public TdApi.Audio audio
Preview of the content as an audio file, if available; may be null.

### document

public TdApi.Document document
Preview of the content as a document, if available (currently only available for small PDF files and ZIP archives); may be null.

### sticker

public TdApi.Sticker sticker
Preview of the content as a sticker for small WEBP files, if available; may be null.

### video

public TdApi.Video video
Preview of the content as a video, if available; may be null.

### videoNote

public TdApi.VideoNote videoNote
Preview of the content as a video note, if available; may be null.

### voiceNote

public TdApi.VoiceNote voiceNote
Preview of the content as a voice note, if available; may be null.

### instantViewVersion

public int instantViewVersion
Version of instant view, available for the web page (currently can be 1 or 2), 0 if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### WebPage

public WebPage()
Describes a web page preview.

### WebPage

public WebPage(String url, String displayUrl, String type, String siteName, String title, TdApi.FormattedText description, TdApi.Photo photo, String embedUrl, String embedType, int embedWidth, int embedHeight, int duration, String author, TdApi.Animation animation, TdApi.Audio audio, TdApi.Document document, TdApi.Sticker sticker, TdApi.Video video, TdApi.VideoNote videoNote, TdApi.VoiceNote voiceNote, int instantViewVersion)
Describes a web page preview.

Parameters:
  `url` - String Original URL of the link.
  `displayUrl` - String URL to display.
  `type` - String Type of the web page. Can be: article, photo, audio, video, document, profile, app, or something else.
  `siteName` - String Short name of the site (e.g., Google Docs, App Store).
  `title` - String Title of the content.
  `description` - FormattedText Description of the content.
  `photo` - Photo Image representing the content; may be null.
  `embedUrl` - String URL to show in the embedded preview.
  `embedType` - String MIME type of the embedded preview, (e.g., text/html or video/mp4).
  `embedWidth` - int Width of the embedded preview.
  `embedHeight` - int Height of the embedded preview.
  `duration` - int Duration of the content, in seconds.
  `author` - String Author of the content.
  `animation` - Animation Preview of the content as an animation, if available; may be null.
  `audio` - Audio Preview of the content as an audio file, if available; may be null.
  `document` - Document Preview of the content as a document, if available (currently only available for small PDF files and ZIP archives); may be null.
  `sticker` - Sticker Preview of the content as a sticker for small WEBP files, if available; may be null.
  `video` - Video Preview of the content as a video, if available; may be null.
  `videoNote` - VideoNote Preview of the content as a video note, if available; may be null.
  `voiceNote` - VoiceNote Preview of the content as a voice note, if available; may be null.
  `instantViewVersion` - int Version of instant view, available for the web page (currently can be 1 or 2), 0 if none.

### WebPage

public WebPage(DataInput input) throws IOException
Describes a web page preview.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`